View Issue Details

IDProjectCategoryView StatusLast Update
0006653Talerwallet (TS core)public2021-08-24 16:23
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006653: use statically typed object store list in transactions
DescriptionRight now, there is no way to know at compile time which DB store some helper function accesses.

However, IndexedDB transactions require a store list before the transaction is opened.

Thus a transaction handle should have support for statically typing the list of available stores in the transaction.
TagsNo tags attached.

Activities

Florian Dold

2021-06-17 14:25

manager   ~0017962

The recent refactor with the new DbAccess interface handles store access in a completely type-safe way now.

Issue History

Date Modified Username Field Change
2020-11-26 17:44 Florian Dold New Issue
2020-11-26 17:44 Florian Dold Status new => assigned
2020-11-26 17:44 Florian Dold Assigned To => Florian Dold
2021-06-17 14:25 Florian Dold Status assigned => resolved
2021-06-17 14:25 Florian Dold Resolution open => fixed
2021-06-17 14:25 Florian Dold Note Added: 0017962
2021-07-30 13:56 Christian Grothoff Fixed in Version => 0.8
2021-07-30 13:59 Christian Grothoff Target Version => 0.8.1
2021-07-30 14:01 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed